none
[openafs-wiki.git] / TWiki / TWikiSystemRequirements.mdwn
1 <div>
2   <ul>
3     <li><a href="#TWiki System Requirements"> TWiki System Requirements</a><ul>
4         <li><a href="#Server Requirements"> Server Requirements</a></li>
5         <li><a href="#Client Requirements"> Client Requirements</a></li>
6         <li><a href="#Known Issues"> Known Issues</a></li>
7       </ul>
8     </li>
9   </ul>
10 </div>
11
12 # <a name="TWiki System Requirements"></a> TWiki System Requirements
13
14 _Server and client requirements for TWiki 01-Feb-2003 (pending release)_
15
16 Low client and server requirements are core features that keep TWiki widely deployable, particularly across a range of browser platforms and versions.
17
18 ## <a name="Server Requirements"></a> Server Requirements
19
20 TWiki is written in Perl 5, uses a number of shell commands, and requires [RCS (Revision Control System)](http://www.gnu.org/software/rcs/rcs.html), a GNU Free Software package. TWiki is developed in a basic Linux/Apache environment. It also works with Microsoft Windows, and should have no problem on any other platform that meets the requirements.
21
22 <table border="1" cellpadding="0" cellspacing="0">
23   <tr>
24     <th bgcolor="#99CCCC" colspan="3"><strong> Required Server Environment </strong></th>
25   </tr>
26   <tr>
27     <th bgcolor="#99CCCC"><strong> Resource </strong></th>
28     <th bgcolor="#99CCCC"><strong> Unix </strong></th>
29     <th bgcolor="#99CCCC"><strong> Windows* </strong></th>
30   </tr>
31   <tr>
32     <td> Perl </td>
33     <td align="center" colspan="2"> 5.005_03 or higher (5.6.1 recommended, <br /> 5.8.0 <strong>not</strong> recommended yet, see TWiki:Codev.UsingPerl58OnRedHat8) </td>
34   </tr>
35   <tr>
36     <td> Non-standard Perl modules </td>
37     <td align="center"><code>Net::SMTP</code> (or <code>sendmail</code>) </td>
38     <td align="center"><code>Net::SMTP</code>, <code>MIME::Base64</code>, <code>Digest::SHA1</code></td>
39   </tr>
40   <tr>
41     <td> RCS </td>
42     <td align="center" colspan="2"> 5.7 or higher (including GNU <code>diff</code>) %BR% Optional, but the all-Perl RCS replacement is not currently recommended for live sites - see TWiki:Codev.RcsLite. </td>
43   </tr>
44   <tr>
45     <td> GNU <code>diff</code></td>
46     <td align="center" colspan="2"> GNU <code>diff</code> 2.7 or higher is required when not using the all-Perl RcsLite. %BR% Install on PATH if not included with RCS (check version with <code>diff -v</code>) </td>
47   </tr>
48   <tr>
49     <td> Other external programs </td>
50     <td align="center" colspan="2"><code>ls, fgrep, egrep</code></td>
51   </tr>
52   <tr>
53     <td> Cron/scheduler </td>
54     <td align="center"><code>cron</code></td>
55     <td><code>cron</code> equivalents </td>
56   </tr>
57   <tr>
58     <td> Web server </td>
59     <td align="center" colspan="2"> Apache 1.3 is well supported; Apache 2.0 is <strong>not</strong> recommended yet (see TWiki:Support.FailedAuthenticationWithApache2OnWinNT). %BR% For other servers, CGI support, authentication, extended path required </td>
60   </tr>
61 </table>
62
63 %X% **\*** _Current documentation mainly covers Linux and Apache installations. See [[WindowsInstallCookbook]] for a Windows installation guide. See TWiki:Codev.TWikiOn for help with installation on various platforms including Unix, MacOS X, Apache `mod_perl`, web hosts, etc._
64
65 <a name="ClientRequirements"></a>
66
67 ## <a name="Client Requirements"></a> Client Requirements
68
69 The TWiki [[standard installation|Main/TWikiInstallationGuide]] has extremely low browser requirements:
70
71 - HTML 3.2 compliant
72 - generates XHTML 1.0 pages that are compatible with HTML 3.2
73 - minimal use of JavaScript in the user interface (degrades gracefully)
74 - no cookies
75 - no CSS
76
77 You can easily add functionality, by customizing [[TWikiTemplates]], for one, while tailoring the browser requirements to your situation.
78
79 ## <a name="Known Issues"></a> Known Issues
80
81 - The [[TWikiPlugins]] feature currently does not have compatibility guidelines for developers. Plugins can require just about anything - browser-specific functions, stylesheets (CSS), Java applets, cookies, specific Perl modules,... - check the individual Plugin specs.
82   - %H% Plugins included in the TWiki distribution do not add requirements.
83
84 -- [[MikeMannix]] - 12 Jan 2002